Subject: bug#73779: 30.0.91; [PATCH] php-ts-mode: Better indentation and font locking, support for the latest grammar version.

From: Vincenzo Pupillo <[email-masked]>
Date: Sun, 13 Oct 2024 11:19:31 +0200

Ciao Eli,

> I have two questions about this:
> 
>   . will the code which uses the "asymmetric property visibility" also
>     work without problems with versions of the grammar library before
>     0.23.3?

Yes, I tested it with older versions of the grammars. 
'php-ts-mode--test-visibility-modifier-operation-clause-p' is used to check if 
this new feature is defined or not, and behaves accordingly.

>   . do you consider the code changes to be tested well enough and thus
>     safe to be installed on the emacs-30 release branch?
> 
Yes, I've been using this patch at work for about a week and haven't had any 
problems.

> I'd prefer to install on emacs-30, because this mode is new in Emacs
> 30, unless you are not sure the code is safe enough.

Thank you.

Vincenzo